import "colors";
import { Embark, EmbarkPlugins } from "embark-core";
export default class Server {
    private embark;
    private port;
    private hostname;
    private plugins;
    private isInsideMonorepo;
    private monorepoRootPath;
    private embarkUiBuildDir;
    private expressInstance;
    private isLogging;
    private server?;
    private openSockets;
    constructor(embark: Embark, port: number, hostname: string, plugins: EmbarkPlugins);
    enableLogging(): void;
    disableLogging(): void;
    start(): Promise<void>;
    stop(): Promise<void>;
    private makePage;
    private makePage404;
    private makePage503;
    private initApp;
    private registerCallDescription;
    private applyHTTPFunction;
    private applyWSFunction;
}
//# sourceMappingURL=server.d.ts.map